Bug 60162 - RFE: Save backtrace to alternate locations
RFE: Save backtrace to alternate locations
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-20 19:30 EST by Michal Jaegermann
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:35:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2002-02-20 19:30:17 EST
Description of Problem:

During an attempt to a "minimal" installation which was done by deselecting
_all_ packages save few (like filesystem, bash, grub, ...) and later
accepting "install all packages to resolve dependencies" around 400 MB
was still picked up for an installation.  After installing nearly everything
save few megabytes (hard to tell exactly how many due to subseqent events)
anaconda poped out a bit Python trace window in the middle of the screen
killing mouse in the process.  Some buttons in an attempt to save to a floppy
were reachable from a keyboard but with the final "Confirm" I was not so
lucky and anaconda immediately rebooted the whole setup.

It would be really good to have these backtraces in some file on a ramdisk
instead of a "user-friendly" dialog.  Then I normally have multiple places
to save in a sane way instead of blowing up a diskette which often may
turn out to have errors (this happens more and more often).
Comment 1 Michael Fulbright 2002-02-22 11:33:16 EST
Any ideas Matt?
Comment 2 Jay Turner 2002-03-20 10:10:23 EST
Are you seeing the same behavior with Beta 2?
Comment 3 Matt Wilson 2002-03-20 10:16:00 EST
deferred to next gtk2 based installer
Comment 4 Michael Fulbright 2003-04-16 14:55:24 EDT
Tracebacks will now be written to /tmp/anacdump.txt.
Comment 5 Jeremy Katz 2006-04-24 14:35:15 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.